# ``twisted`.`pair`.`tuntap``

module documentation
(source)

Support for Linux ethernet and IP tunnel devices.

See Also
https://en.wikipedia.org/wiki/TUN/TAP

Class | `TunnelAddress` | A `TunnelAddress` represents the tunnel to which a `TuntapPort` is bound.
Class | `TunnelFlags` | `TunnelFlags` defines more flags which are used to configure the behavior of a tunnel device.
Class | `TuntapPort` | A Port that reads and writes packets from/to a TUN/TAP-device.
Interface | `_IInputOutputSystem` | An interface for performing some basic kinds of I/O (particularly that I/O which might be useful for `twisted.pair.tuntap`-using code).
Class | `_RealSystem` | An interface to the parts of the operating system which `TuntapPort` relies on. This is most of an implementation of `_IInputOutputSystem`.
Class | `_TunnelDescription` | Describe an existing tunnel.
Constant | `_IFNAMSIZ` | Undocumented
Constant | `_TUN_KO_PATH` | Undocumented
Constant | `_TUNGETIFF` | Undocumented
Constant | `_TUNSETIFF` | Undocumented

_IFNAMSIZ: `int` = (source)

Undocumented

Value

    16

_TUN_KO_PATH: `bytes` = (source)

Undocumented

Value

    b'/dev/net/tun'

_TUNGETIFF: `int` = (source)

Undocumented

Value

    2147767506

_TUNSETIFF: `int` = (source)

Undocumented

Value

    1074025674